//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "treeform.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
__fastcall TfrmTree::TfrmTree(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void TfrmTree::FillTree(TList* theList, ParseNode* node, TTreeNode* parentTreeNode){
  if(node->index != -1){
    TTreeNode* item = TreeView1->Items->AddChild(parentTreeNode, (node->str=="") ? String("epsilon") : node->str);
    if(node->terminal){
        if(node->str == ""){
            item->ImageIndex = 2; item->SelectedIndex = 2;
        }else{
            item->ImageIndex = 1; item->SelectedIndex = 1;
        }
    }
    else{ item->ImageIndex = 0; item->SelectedIndex = 0; }
    //find all the children of this node, and call them
    for(int i=0; i<theList->Count; i++){
        ParseNode* childNode = (ParseNode*)theList->Items[i];
        if(childNode->parent == node) FillTree(theList, childNode, item);
    }
  }
}
//---------------------------------------------------------------------------

void __fastcall TfrmTree::FormShow(TObject *Sender){
    SetForegroundWindow(this->Handle);
}
//---------------------------------------------------------------------------

void __fastcall TfrmTree::mnuExpandClick(TObject *Sender){
    TreeView1->FullExpand();
}
//---------------------------------------------------------------------------

void __fastcall TfrmTree::mnuCollapseClick(TObject *Sender){
    TreeView1->FullCollapse();
}
//---------------------------------------------------------------------------

