//---------------------------------------------------------------------------

#ifndef treeformH
#define treeformH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>

#include "grammar.h"
#include <ImgList.hpp>
#include <Menus.hpp>

//---------------------------------------------------------------------------
class TfrmTree : public TForm
{
__published:	// IDE-managed Components
    TTreeView *TreeView1;
    TImageList *ImageList2;
    TStatusBar *StatusBar1;
    TPopupMenu *PopupMenu1;
    TMenuItem *mnuExpand;
    TMenuItem *mnuCollapse;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall mnuExpandClick(TObject *Sender);
    void __fastcall mnuCollapseClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    void FillTree(TList* theList, ParseNode* node, TTreeNode* parentTreeNode);
    __fastcall TfrmTree(TComponent* Owner);
};
//---------------------------------------------------------------------------
#endif


